> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/events/get-attendee-list.md).

# Get Attendee List

## Get Attendee List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=getAttendeeList`

#### Path Parameters

| Name    | Type    | Description                                                                                                    |
| ------- | ------- | -------------------------------------------------------------------------------------------------------------- |
| perPage | integer | The number of attendees to get in a single api all                                                             |
| start   | integer | The starting result of the page. Note this is zero based (i.e. sending start = 0 will start from first result. |
| eventId | integer | The event identifier                                                                                           |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Additional [Filter](/getting-started/interpreting-the-response/filtering.md) Properties

No filters available

## Returns

A collection object with the following properties in the results

| Property                 | Description                                                                                                                                                                                     |
| ------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                       | The unique registration identifier                                                                                                                                                              |
| registrationStatus       | The registration status of the event attendee                                                                                                                                                   |
| contactId                | The contactId of event attendee                                                                                                                                                                 |
| ticketTitle              | The title of ticket                                                                                                                                                                             |
| firstName                | The first name of the event attendee                                                                                                                                                            |
| lastName                 | The last name of the event attendee                                                                                                                                                             |
| email                    | The email address of the event attendee                                                                                                                                                         |
| privacyConsentData       | The object of [Privacy Consent](/contact/get-contact.md#privacy-consent-data) field objects of the event attendee.                                                                              |
| hasAttended              | Whether attendee has attended event or not                                                                                                                                                      |
| sessionHasAttended       | Whether attendee has attended session or not                                                                                                                                                    |
| isPublic                 | Whether event attndee is public or not                                                                                                                                                          |
| barcode                  | The barcode text of event attendee                                                                                                                                                              |
| barcodeUrl               | The barcode url of event attendee                                                                                                                                                               |
| ticketUrl                | The ticket url of event attendee                                                                                                                                                                |
| attendedDatetime         | The attended date time of event attendee                                                                                                                                                        |
| sessionAttendedTimestamp | The session attended date time of event attendee                                                                                                                                                |
| cost                     | The cost of ticket of event attendee                                                                                                                                                            |
| customFields             | The array of custom fields data of event attendee with below details                                                                                                                            |
| sessions                 | array of [Sessions](/events/get-attendee.md#session-details) which attendee registered or attended                                                                                              |
| createdDate              | The date & time the attendee was created                                                                                                                                                        |
| modifiedDate             | The date & time the attendee was last modified. Note: Updating the contact details of an Attendee changes the modifiedDate of the Contact. It does not change the modifiedDate of the Attendee. |

## Custom field details

| Property | Description                                |
| -------- | ------------------------------------------ |
| name     | The name of the custom field               |
| value    | The value of the custom field for attendee |

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the events the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

## Throws

| Code                 | Description          |
| -------------------- | -------------------- |
| Specific Code: 24210 | Unable to find event |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/events/get-attendee-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
